[MediaWiki-l] MobileFrontend problems

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

[MediaWiki-l] MobileFrontend problems

Jeremi Plazas
Hi there,
Just tried installing MF but get the following error when running update.php
PHP Parse error: parse error, expecting `"identifier (T_STRING)"' or `"variable (T_VARIABLE)"' or `'{'' or `'$'' in […]/MobileFrontend/includes/MobileFrontend.hooks.php on line 1422


Any clues?
MediaWiki 1.26.3 PHP 5.4.45 (apache2handler) MySQL 5.6.27 ICU 55.1 Elasticsearch 1.7.2

Thanks, y’all,
[http://www.tsadra.org]   Jeremi Plazas / Assistant Director of Research                                                                                                            
                          [hidden email] [[hidden email]]                                                                                                                    
                          Tsadra Foundation                                                                                                                                        
                          Tsadra Research Center, Boulder CO Advancing the Combined Study and Practice of Tibetan Buddhism in the West.                                            
                          www.tsadra.org [http://www.tsadra.org]                                                                                                                    
                          [https://htmlsig.com/t/0000001BZGCW2] [https://htmlsig.com/t/0000001BRRMGS] [https://htmlsig.com/t/0000001BTMKZ9] [https://htmlsig.com/t/0000001BQ34MY]
_______________________________________________
MediaWiki-l mailing list
To unsubscribe, go to:
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l
Reply | Threaded
Open this post in threaded view
|

Re: MobileFrontend problems

Bartosz Dziewoński
It looks like the current version of MobileFrontend requires PHP 5.5.
The specific error you're getting is caused by a use of the
ClassName::class syntax (https://wiki.php.net/rfc/class_name_scalars),
there are probably other places where some new syntax is used.

Note that MediaWiki 1.27 will also require PHP 5.5
(https://www.mediawiki.org/wiki/Compatibility#PHP).

--
Bartosz Dziewoński

_______________________________________________
MediaWiki-l mailing list
To unsubscribe, go to:
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l
Reply | Threaded
Open this post in threaded view
|

Re: MobileFrontend problems

Benjamin Lees
The 1.26 version of the extension doesn't use the new syntax, so you
should probably use it instead of the master version.

On Wed, Jun 22, 2016 at 2:20 PM, Bartosz Dziewoński <[hidden email]> wrote:

> It looks like the current version of MobileFrontend requires PHP 5.5. The
> specific error you're getting is caused by a use of the ClassName::class
> syntax (https://wiki.php.net/rfc/class_name_scalars), there are probably
> other places where some new syntax is used.
>
> Note that MediaWiki 1.27 will also require PHP 5.5
> (https://www.mediawiki.org/wiki/Compatibility#PHP).
>
> --
> Bartosz Dziewoński
>
>
> _______________________________________________
> MediaWiki-l mailing list
> To unsubscribe, go to:
> https://lists.wikimedia.org/mailman/listinfo/mediawiki-l

_______________________________________________
MediaWiki-l mailing list
To unsubscribe, go to:
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l
Reply | Threaded
Open this post in threaded view
|

Re: MobileFrontend problems

Jeremi Plazas
Thanks y’all,
Looks like I had some problems uploading the MobileFrontend extension folder to MW/extensions… Transmit dropped out some files for some reason. Used git to checkout REL1_26 and it works.

[http://www.tsadra.org]   Jeremi Plazas / Assistant Director of Research                                                                                                            
                          [hidden email] [[hidden email]]                                                                                                                    
                          Tsadra Foundation                                                                                                                                        
                          Tsadra Research Center, Boulder CO Advancing the Combined Study and Practice of Tibetan Buddhism in the West.                                            
                          www.tsadra.org [http://www.tsadra.org]                                                                                                                    
                          [https://htmlsig.com/t/0000001BZGCW2] [https://htmlsig.com/t/0000001BRRMGS] [https://htmlsig.com/t/0000001BTMKZ9] [https://htmlsig.com/t/0000001BQ34MY]  
                                                                                                                                                                                   
                                                                                                                                                                                   
                                                                                                                                                                                   


On Wed, Jun 22, 2016 at 12:26 PM, Benjamin Lees <[hidden email]> wrote:
The 1.26 version of the extension doesn't use the new syntax, so you
should probably use it instead of the master version.

On Wed, Jun 22, 2016 at 2:20 PM, Bartosz Dziewoński <[hidden email]> wrote:

> It looks like the current version of MobileFrontend requires PHP 5.5. The
> specific error you're getting is caused by a use of the ClassName::class
> syntax (https://wiki.php.net/rfc/class_name_scalars), there are probably
> other places where some new syntax is used.
>
> Note that MediaWiki 1.27 will also require PHP 5.5
> (https://www.mediawiki.org/wiki/Compatibility#PHP).
>
> --
> Bartosz Dziewoński
>
>
> _______________________________________________
> MediaWiki-l mailing list
> To unsubscribe, go to:
> https://lists.wikimedia.org/mailman/listinfo/mediawiki-l

_______________________________________________
MediaWiki-l mailing list
To unsubscribe, go to:
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l
_______________________________________________
MediaWiki-l mailing list
To unsubscribe, go to:
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l